local mod_name = "__new-ore__"
local lr = 
{
	filename = mod_name .. "/graphics/ore_206x162.png",
	image_size = {206, 162, 8, 8}
}

local hr = 
{
	filename = mod_name .. "/graphics/hr-ore_438x352.png",
	image_size = {438, 352, 8, 8}
}

local icon = mod_name .. "/graphics/icon.png"
local icon_size = 64

local tints = 
{
	red = 		{0.8,0.2,0.2},
	yellow = 	{0.8,0.8,0.2},
	green = 	{0.2,0.8,0.2},
	cyan = 		{0.2,0.8,0.8},
	blue = 		{0.2,0.2,0.8},
	magenta = 	{0.8,0.2,0.8}
}




local noise = require("noise")
local tne = noise.to_noise_expression
resource_autoplace = require("resource-autoplace")
local sounds = require ("__base__/prototypes/entity/demo-sounds")





for tint_name, tint in pairs (tints) do
	local name = tint_name..'-ore'
	
	data:extend(
	{
		{
			type = "resource",
			name = name,
--			icon = icon,
			icons = {{icon = icon, icon_size = icon_size, tint=tint}},
			
--			icon_mipmaps = 4,
			flags = {"placeable-neutral"},
			order="a-b-e",
			tree_removal_probability = 1,
			tree_removal_max_distance = 32 * 32, -- 32 tiles?
			walking_sound = sounds.ore,
			minable =
			{
			  mining_particle = "stone-particle",
			  mining_time = 2,
			  result = "uranium-ore",
--			  fluid_amount = (not data.is_demo and 10) or nil,
--			  required_fluid = (not data.is_demo and "sulfuric-acid") or nil
			},
--			collision_box = {{-0.1, -0.1}, {0.1, 0.1}},
--			selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
			collision_box = {{-1.9, -1.9}, {1.9, 1.9}},
			selection_box = {{-1.9, -1.9}, {1.9, 1.9}},
			map_grid = true,
			
			autoplace = resource_autoplace.resource_autoplace_settings
			{
			  name = "uranium-ore",
			  order = "c",
			  base_density = 1,
			  base_spots_per_km2 = 2,
			  has_starting_area_placement = true,
			  random_spot_size_minimum = 2,
			  random_spot_size_maximum = 4,
			  regular_rq_factor_multiplier = 1
			},
			stage_counts = {10000, 6330, 3670, 1930, 870, 270, 100, 50},
			stages =
			{
			  sheet =
				{
					filename = lr.filename,
					width = lr.image_size[1],
					height = lr.image_size[2],
					frame_count = lr.image_size[3],
					variation_count = lr.image_size[4],
					tint = tint,
					priority = "extra-high",
					hr_version =
					{
						filename = hr.filename,
						width = hr.image_size[1],
						height = hr.image_size[2],
						frame_count = hr.image_size[3],
						variation_count = hr.image_size[4],
						tint = tint,
						priority = "extra-high",
						scale = 0.5
					}
				}
			},
			map_color = tint
		}
	})
end